org.jfree.chart.axis

## Class ValueTick

- java.lang.Object
- - org.jfree.chart.axis.Tick
  - - org.jfree.chart.axis.ValueTick

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  DateTick, NumberTick

    public abstract class ValueTick
    extends Tick

A value tick.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ValueTick(double value, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new value tick.
`ValueTick(TickType tickType, double value, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new value tick.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this tick for equality with an arbitrary object.
`TickType` `getTickType()` Returns the tick type (major or minor).
`double` `getValue()` Returns the value.

### Methods inherited from class org.jfree.chart.axis.Tick

`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValueTick

    public ValueTick(double value,
             java.lang.String label,
             org.jfree.ui.TextAnchor textAnchor,
             org.jfree.ui.TextAnchor rotationAnchor,
             double angle)

Creates a new value tick.

Parameters:
  `value` - the value.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned to the anchor point.
  `rotationAnchor` - defines the rotation point relative to the label.
  `angle` - the rotation angle (in radians).

#### ValueTick

    public ValueTick(TickType tickType,
             double value,
             java.lang.String label,
             org.jfree.ui.TextAnchor textAnchor,
             org.jfree.ui.TextAnchor rotationAnchor,
             double angle)

Creates a new value tick.

Parameters:
  `tickType` - the tick type (major or minor).
  `value` - the value.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned to the anchor point.
  `rotationAnchor` - defines the rotation point relative to the label.
  `angle` - the rotation angle (in radians).
Since:
  1.0.7

### Method Detail

#### getValue

    public double getValue()

Returns the value.

Returns:
  The value.

#### getTickType

    public TickType getTickType()

Returns the tick type (major or minor).

Returns:
  The tick type.
Since:
  1.0.7

#### equals

    public boolean equals(java.lang.Object obj)

Tests this tick for equality with an arbitrary object.

Overrides:
  `equals` in class `Tick`
Parameters:
  `obj` - the object to test (`null` permitted).
Returns:
  A boolean.